using Avalonia.Controls;
using VeloeMinecraftLauncher.ViewModels;

namespace VeloeMinecraftLauncher.Views
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void MainWindow_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            if (DataContext is MainWindowViewModel model)
            {
                model.OnClosing(sender, e);
            }
        }
    }
}
